Bug 17919 - circ/returns.pl caught in Object Name crossfire
Summary: circ/returns.pl caught in Object Name crossfire
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17466
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-17 06:30 UTC by M. Tompsett
Modified: 2017-01-22 16:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17919: Koha::Issue is now called Koha::Checkout (1.42 KB, patch)
2017-01-17 06:38 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17919: Koha::Issue is now called Koha::Checkout (1.47 KB, patch)
2017-01-17 07:30 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17919: (bug 17466 follow-up) Koha::Issue is now called Koha::Checkout (1.56 KB, patch)
2017-01-17 08:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-01-17 06:30:39 UTC
Koha::Items was renamed to Koha::Checkouts
Find and fix any lingering code.
Only code? circ/returns.pl
Comment 1 M. Tompsett 2017-01-17 06:38:31 UTC
Created attachment 59059 [details] [review]
Bug 17919: Koha::Issue is now called Koha::Checkout

Ignoring the pluralization or lack thereof:
$ git grep "Koha::Issue"
-- This has results.
But this was renamed by 17796, and supposedly still
in discussion in 16870.

apply this patch, and do the same git.
There will be no results.

This was found while running a prove t/db_dependent/00-strict.t
Comment 2 Claire Gravely 2017-01-17 07:30:08 UTC
Created attachment 59063 [details] [review]
Bug 17919: Koha::Issue is now called Koha::Checkout

Ignoring the pluralization or lack thereof:
$ git grep "Koha::Issue"
-- This has results.
But this was renamed by 17796, and supposedly still
in discussion in 16870.

apply this patch, and do the same git.
There will be no results.

This was found while running a prove t/db_dependent/00-strict.t

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2017-01-17 08:08:55 UTC
Created attachment 59068 [details] [review]
Bug 17919: (bug 17466 follow-up) Koha::Issue is now called Koha::Checkout

Ignoring the pluralization or lack thereof:
$ git grep "Koha::Issue"
-- This has results.
But this was renamed by 17796, and supposedly still
in discussion in 16870.

apply this patch, and do the same git.
There will be no results.

This was found while running a prove t/db_dependent/00-strict.t

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2017-01-18 11:48:41 UTC
Pushed to master for 17.05, thanks Mark!
Comment 5 Katrin Fischer 2017-01-22 16:51:52 UTC
Depends on bug 17466 which is not in 16.11.x - won't be pushed.